//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Threading;
using System.Drawing;

using nispi.controlclass;

namespace nispi
{
    class ThreadListTabMainMenu
    {
        public ToolStripMenuItemParts menuItemCloseTabParts;
        public ToolStripMenuItemParts menuItemCloseAllTabParts;
        public ToolStripMenuItemParts menuItemAddFavoriteParts;
        public ToolStripMenuItemParts menuItemCreateNewThreadParts;
        public ToolStripMenuItemParts menuItemOpenBrowserParts;
        public ToolStripMenuItemParts menuItemCopyURLParts;
        public ToolStripMenuItemParts menuItemCopyTitleParts;
        public ToolStripMenuItemParts menuItemReloadParts;
        public ToolStripMenuItemParts menuItemRelationThreadParts;
        public ToolStripMenuItemParts menuItemOpenBBSParts;

        public ThreadListTabEvent threadListTabEvent;

        public ThreadListTabMainMenu(ToolStripMenuItemParts menuItem)
        {

            menuItemCloseTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCloseAllTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemAddFavoriteParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCreateNewThreadParts = ToolStripMenuItemPartsManager.Pop();
            menuItemOpenBrowserParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCopyURLParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCopyTitleParts = ToolStripMenuItemPartsManager.Pop();
            menuItemReloadParts = ToolStripMenuItemPartsManager.Pop();
            menuItemRelationThreadParts = ToolStripMenuItemPartsManager.Pop();
            menuItemOpenBBSParts = ToolStripMenuItemPartsManager.Pop();

            menuItemCloseTabParts.Text = "タブを閉じる(&W)(CTRL+W)";

            menuItemCloseAllTabParts.Text = "すべてのタブを閉じる(&Q)(CTRL+Q)";

            menuItemAddFavoriteParts.Text = "お気に入りに追加する(&F)(CTRL+F)";

            menuItemCreateNewThreadParts.Text = "スレッドに書き込み(&V)";

            menuItemOpenBrowserParts.Text = "ブラウザーで開く(&B)";

            menuItemCopyURLParts.Text = "URLをコピー(&C)";

            menuItemCopyTitleParts.Text = "タイトルをコピー(&T)";

            menuItemRelationThreadParts.Text = "関連スレッドを探す(&E)";

            menuItemOpenBBSParts.Text = "所属元のBBSを開く(&X)";

            menuItemReloadParts.Text = "再読み込み(&R)(CTRL+R)";

            menuItem.DropDownItemsAdd(menuItemCloseTabParts);
            menuItem.DropDownItemsAdd(menuItemCloseAllTabParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemAddFavoriteParts);
            menuItem.DropDownItemsAdd(menuItemCreateNewThreadParts);
            menuItem.DropDownItemsAdd(menuItemOpenBrowserParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemCopyURLParts);
            menuItem.DropDownItemsAdd(menuItemCopyTitleParts);
            menuItem.DropDownItemsAdd(menuItemRelationThreadParts);
            menuItem.DropDownItemsAdd(menuItemOpenBBSParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemReloadParts);

            threadListTabEvent = new ThreadListTabEvent(this);
        }
        public void SetupMainMenu()
        {
            int num = Const.form.threadListTabControlParts.SelectedIndex;
            if ((MainFormConst.threadListTabMain.viewList[num].datUrl != null) &&
                (MainFormConst.threadListTabMain.viewList[num].datUrl.Length > 0))
            {
                menuItemCloseTabParts.Enabled = true;
                menuItemCloseAllTabParts.Enabled = true;
                menuItemAddFavoriteParts.Enabled = true;
                menuItemCreateNewThreadParts.Enabled = true;
                menuItemOpenBrowserParts.Enabled = true;
                menuItemCopyURLParts.Enabled = true;
                menuItemCopyTitleParts.Enabled = true;
                menuItemRelationThreadParts.Enabled = true;
                menuItemReloadParts.Enabled = true;
                menuItemOpenBBSParts.Enabled = true;
            }
            else
            {
                menuItemCloseTabParts.Enabled = false;
                menuItemCloseAllTabParts.Enabled = false;
                menuItemAddFavoriteParts.Enabled = false;
                menuItemCreateNewThreadParts.Enabled = false;
                menuItemOpenBrowserParts.Enabled = false;
                menuItemCopyURLParts.Enabled = false;
                menuItemCopyTitleParts.Enabled = false;
                menuItemRelationThreadParts.Enabled = false;
                menuItemReloadParts.Enabled = false;
                menuItemOpenBBSParts.Enabled = false;
            }
        }
    }
}

